@import 'abstracts/variables';

$breakpoints: (
  'xs': 0,
  'sm': 576px,
  'md': 768px,
  'lg': 998px,
  'xl': 1200px
);

$text-primary-color: #e8e8e8;
$secondary-color: #c04848;
$primary-color: #480048;
$logo-color: #00ff00;

// import mixins
@import 'mixins/position';

// import vendors
// @import 'vendors/bem';
// @import 'vendors/btn';
// @import 'vendors/include-media';

// import abstracts

// import base
@import 'base/reset';

// import layout
@import 'layout/header';
@import 'layout/main';

@import url('https://fonts.googleapis.com/css?family=Rock+Salt');

body {
  font-size: 1rem;
  font-family: 'Work Sans', sans-serif;
  color: $text-primary-color;
  background-color: #121212;
  // background: linear-gradient(to right, $primary-color, $primary-color);
  // background-size: cover;
  // background-repeat: no-repeat;
  // background-position: center;
  // background-image: url(https://cwsmgmt.corsair.com/newscripts/landing-pages/wallpaper/v4/Wallpaper-v4-1920x1080.jpg);
  min-height: 100vh;
}

.btn {
  color: $text-primary-color;
  border-radius: $border-radius;
  transition-duration: 0.15s;
  background-color: rgba($primary-color, 0.8);
  cursor: pointer;

  &:hover {
    color: $secondary-color;
  }
}

.author main,
.about main {
  margin-bottom: 56px;
}

.user-ranking {
  display: flex;
  align-items: flex-start;
  padding: 24px 0;

  .box-ranking {
    flex: 1;
    margin-right: 16px;

    &:last-child {
      margin-right: 0;
    }
  }
}

.box-ranking {
  background-color: #fafafa;
  color: $primary-color;
  box-shadow: 0 4px 16px 0 rgba(30,32,40,0.16);
  border-radius: 4px;
  margin-bottom: 16px;
  max-width: 224px;
  padding: 8px 16px;

  display: flex;
  align-items: center;

  .box-ranking__image {
    width: 48px;
    height: auto;
    border-radius: 50%;
    margin-right: 16px;
  }

  .box-ranking__rank {
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    color: white;
    background-color: $primary-color;
    border-radius: 50%;
    font-weight: 500;
    font-size: 14px;
  }

  .box-ranking__info {
    flex: 1;
    font-weight: 500;

    .name {
      margin-bottom: 4px;
    }
    .score {
      color: #00ff00;
      margin-bottom: 0;
      font-size: 14px;
    }
  }
}
